Bug 812629 - Unclear/useless warning from pkg_resources.py:check_version_conflict adding noise to apache logs
Unclear/useless warning from pkg_resources.py:check_version_conflict adding n...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 810230
  Show dependency treegraph
 
Reported: 2012-04-15 10:52 EDT by Cole Robinson
Modified: 2013-07-31 15:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:17:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2012-04-15 10:52:15 EDT
# sudo /usr/share/openstack-dashboard/manage.py collectstatic
/usr/lib/python2.7/site-packages/nose/plugins/manager.py:405: UserWarning: Module openstack_dashboard was already imported from /usr/share/openstack-dashboard/openstack_dashboard/__init__.pyc, but /usr/lib/python2.7/site-packages is being added to sys.path
  import pkg_resources
...

This warning pops up repeatedly in httpd logs when running openstack-dashboard. Unfortunately this error isn't communicating anything useful to me, and I don't think we are doing anything wrong.

The error comes from /usr/lib/python2.7/pkg_resources.py:checK_version_conflict. I think it's trying to warn me that something is being added to sys.path, possibly early in sys.path, which may provide a module that would now override something I've already imported. However

1) /usr/lib/python2.7/site-packages is already in sys.path so the message is misleading.
2) There is no openstack-dashboard module anywhere else in sys.path so I don't think there's any problem here.
3) The code in pkg_resources.py is pretty opaque and doesn't explain what it's trying to accomplish at all.

This pkg_resource module is imported by python-nose, a dependency of openstack-dashboard.
Comment 1 Fedora Admin XMLRPC Client 2013-05-10 00:58:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-05-10 01:00:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2013-05-10 01:04:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2013-05-10 01:12:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:12:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-03 16:02:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 15:17:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.